"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs");
var less = require("less");
exports.parse = function (cssPath, options) {
    cssPath = path.resolve(options.rootDir, cssPath);
    return new Promise(function (resolve) {
        fs.readFile(cssPath, function (err, css) {
            less
                .render(css.toString(), {
                rootpath: options.rootDir,
            })
                .then(function (output) {
                resolve(output.css);
            });
        });
    });
};
