"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs_1 = require("fs");
exports.getTsc = function (target) {
    if (!target) {
        target = process.cwd();
    }
    if (target === '/')
        return null;
    var bin = path.resolve(target, 'node_modules', '.bin', 'tsc');
    try {
        var result = fs_1.statSync(bin);
        if (result.isFile() || result.isSymbolicLink()) {
            return bin;
        }
        return exports.getTsc(path.resolve(target, '..'));
    }
    catch (e) {
        return exports.getTsc(path.resolve(target, '..'));
    }
};
